# Class CannotBuildDistanceMatrixException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
jebl.evolution.distances.CannotBuildDistanceMatrixException

All Implemented Interfaces:
  `Serializable`

public class CannotBuildDistanceMatrixException extends IllegalArgumentException

Version:
  $Id$
Author:
  Matthew Cheung
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotBuildDistanceMatrixException(String msg)`
`CannotBuildDistanceMatrixException(String matrix, String taxon1, String taxon2)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotBuildDistanceMatrixException

public CannotBuildDistanceMatrixException(String matrix, String taxon1, String taxon2)

### CannotBuildDistanceMatrixException

public CannotBuildDistanceMatrixException(String msg)